<?php

namespace Wp618\Optimize;

if ( !defined( 'ABSPATH' ) ) exit;

class Constant{
    const INSTALL_CALL = true;
    const MENU_SHOW = true;
    const AJAX_CALL = true;
    const MODEL_LIST = [
        'posts_model', 'options_model', 'visitor_model',
    ];
    const ACTION_FILTER_CHECKED = [
        'action' => true,
        'action_api' => false,
        'hook_filter' => false,
    ];

    //
    const REG_MENU_LIST = [
//        'primary' => 'Primary Menu',
//        'bottom' => 'Bottom Menu',
    ];

    // format：key, filter, default, checkbox
    const SETUP_FIELDS = [
        'general' => [
            'is_close_xml_rpc' => ['absint', '0', 'checkbox'],
            'is_close_emoji' => ['absint', '0', 'checkbox'],
            'is_remove_generator' => ['absint', '0', 'checkbox'],
        ],
        'backend' => [
            'is_close_dashboard_welcome' => ['absint', '0', 'checkbox'],
            'is_close_dashboard_news' => ['absint', '0', 'checkbox'],
        ],
    ];

    // admin
    const REMOVE_PERMALINK_POST_TYPE_lIST = []; // hide post type permalink
    const ADMIN_FOOTER_ICON = true; // admin footer ICON
    const ADMIN_MENU_HIDE_LIST = []; // hide menu ex: edit.php, edit-comments.php

    //
    public static function get_full_action($name){
        return App::getInstance()->get_app_item('app_prefix') . $name;
    }

}